
# Don't modify comment
module MyFrameMod
 require 'wx'
 include Wx
 #[inc]add your include files here
 require "PracticeConfig.rb"
 #[inc]end your include

 class MyFrame < Frame 
    def initialize(parent,id=-1,title='',pos = Point.new(1,1),size = Size.new(360,480),style = DEFAULT_FRAME_STYLE,name = 'frame')
        super(parent,id,title,pos,size,style,name)
        initBefore()
        VwXinit()
        initAfter()

    end #end function

    def VwXinit()
        set_title('設定ファイルの編集')
        show(false)
        @w18c = Window.new(self,-1,Point.new(-5,0),Size.new(360,450))
        @st_status = StaticText.new(@w18c,-1,"",Point.new(20,25),Size.new(56,14),ST_NO_AUTORESIZE)
        @st_status.set_label('状態')
        @chc_status = Choice.new(@w18c,-1,Point.new(90,20),Size.new(115,22),['立ち','しゃがみ','ジャンプ','ハイジャンプ'])
        @chc_status.evt_choice(@chc_status.get_id()){|event|choiceStatus(event)}
        @st30c = StaticText.new(@w18c,-1,"",Point.new(20,55),Size.new(56,14),ST_NO_AUTORESIZE)
        @st30c.set_label('位置')
        @chc_point = Choice.new(@w18c,-1,Point.new(90,50),Size.new(115,22),['左端','中央','右端','停止'])
        @chc_point.evt_choice(@chc_point.get_id()){|event|choicePoint(event)}
        @st32c = StaticText.new(@w18c,-1,"",Point.new(20,85),Size.new(56,14),ST_NO_AUTORESIZE)
        @st32c.set_label('ガード')
        @chc_guard = Choice.new(@w18c,-1,Point.new(90,80),Size.new(115,22),['有効','無効','中段','下段','1HIT以降','1HITのみ'])
        @chc_guard.evt_choice(@chc_guard.get_id()){|event|choiceGuard(event)}
        @st34c = StaticText.new(@w18c,-1,"",Point.new(20,115),Size.new(56,14),ST_NO_AUTORESIZE)
        @st34c.set_label('カウンター')
        @chc_counter = Choice.new(@w18c,-1,Point.new(90,110),Size.new(115,22),['有効','無効'])
        @chc_counter.evt_choice(@chc_counter.get_id()){|event|choiceCounter(event)}
        @st36c = StaticText.new(@w18c,-1,"",Point.new(20,145),Size.new(56,14),ST_NO_AUTORESIZE)
        @st36c.set_label('受身')
        @chc_ukemi = Choice.new(@w18c,-1,Point.new(90,140),Size.new(115,22),['前','後','ランダム','無効'])
        @chc_ukemi.evt_choice(@chc_ukemi.get_id()){|event|choiceUkemi(event)}
        @st38c = StaticText.new(@w18c,-1,"",Point.new(20,175),Size.new(56,14),ST_NO_AUTORESIZE)
        @st38c.set_label('起き上がり')
        @chc_okiagari = Choice.new(@w18c,-1,Point.new(90,170),Size.new(115,22),['前','後','ランダム','無効'])
        @chc_okiagari.evt_choice(@chc_okiagari.get_id()){|event|choice_okiagari(event)}
        @st40c = StaticText.new(@w18c,-1,"",Point.new(20,205),Size.new(76,14),ST_NO_AUTORESIZE)
        @st40c.set_label('起き上がり後')
        @btt_jump_up = ToggleButton.new(@w18c,-1,"",Point.new(100,260),Size.new(40,20))
        @btt_jump_up.set_label('上')
        @btt_jump_up.evt_togglebutton(@btt_jump_up.get_id()){|event|btt_jump_up_VwXEvOnToggleButtonClick(event)}
        @st43c = StaticText.new(@w18c,-1,"",Point.new(40,265),Size.new(56,14),ST_NO_AUTORESIZE)
        @st43c.set_label('ジャンプ')
        @st44c = StaticText.new(@w18c,-1,"",Point.new(40,295),Size.new(56,14),ST_NO_AUTORESIZE)
        @st44c.set_label('ハイジャンプ')
        @btt_hj_up = ToggleButton.new(@w18c,-1,"",Point.new(100,290),Size.new(40,20))
        @btt_hj_up.set_label('上')
        @btt_hj_up.evt_togglebutton(@btt_hj_up.get_id()){|event|btt_hj_up_VwXEvOnToggleButtonClick(event)}
        @st46c = StaticText.new(@w18c,-1,"",Point.new(40,325),Size.new(56,14),ST_NO_AUTORESIZE)
        @st46c.set_label('暴れ')
        @btt_attack_A = ToggleButton.new(@w18c,-1,"",Point.new(100,320),Size.new(40,20))
        @btt_attack_A.set_label('A')
        @btt_attack_A.evt_togglebutton(@btt_attack_A.get_id()){|event|btt_attack_A_VwXEvOnToggleButtonClick(event)}
        @btt_attack_623B = ToggleButton.new(@w18c,-1,"",Point.new(100,350),Size.new(40,20))
        @btt_attack_623B.set_label('623B')
        @btt_attack_623B.evt_togglebutton(@btt_attack_623B.get_id()){|event|btt_attack_623B_VwXEvOnToggleButtonClick(event)}
        @rb_after_okiagari_valid = RadioButton.new(@w18c,-1,"",Point.new(105,205),Size.new(14,14))
        @rb_after_okiagari_valid.evt_radiobutton(@rb_after_okiagari_valid.get_id()){|event|RadioAfterOkiagariValid(event)}
        @st_after_okiagari_valid = StaticText.new(@w18c,-1,"",Point.new(120,205),Size.new(41,14),ST_NO_AUTORESIZE)
        @st_after_okiagari_valid.set_label(' 有効 ')
        @st_after_okiagari_valid.evt_left_up{|event|st_after_okiagari_valid_VwXEvOnLeftUP(event)}
        @btt_custom = ToggleButton.new(@w18c,-1,"",Point.new(100,380),Size.new(55,20))
        @btt_custom.set_label('その他')
        @btt_custom.evt_togglebutton(@btt_custom.get_id()){|event|btt_custom_VwXEvOnToggleButtonClick(event)}
        @tx_custom = TextCtrl.new(@w18c,-1,"",Point.new(160,380),Size.new(100,22))
        @btt_jump_back = ToggleButton.new(@w18c,-1,"",Point.new(200,260),Size.new(40,20))
        @btt_jump_back.set_label('後')
        @btt_jump_back.evt_togglebutton(@btt_jump_back.get_id()){|event|btt_jump_back_VwXEvOnToggleButtonClick(event)}
        @btt_jump_front = ToggleButton.new(@w18c,-1,"",Point.new(150,260),Size.new(40,20))
        @btt_jump_front.set_label('前')
        @btt_jump_front.evt_togglebutton(@btt_jump_front.get_id()){|event|btt_jump_front_VwXEvOnToggleButtonClick(event)}
        @btt_hj_front = ToggleButton.new(@w18c,-1,"",Point.new(150,290),Size.new(40,20))
        @btt_hj_front.set_label('前')
        @btt_hj_front.evt_togglebutton(@btt_hj_front.get_id()){|event|btt_hj_front_VwXEvOnToggleButtonClick(event)}
        @btt_hj_back = ToggleButton.new(@w18c,-1,"",Point.new(200,290),Size.new(40,20))
        @btt_hj_back.set_label('後')
        @btt_hj_back.evt_togglebutton(@btt_hj_back.get_id()){|event|btt_hj_back_VwXEvOnToggleButtonClick(event)}
        @btt_attack_2A = ToggleButton.new(@w18c,-1,"",Point.new(150,320),Size.new(40,20))
        @btt_attack_2A.set_label('2A')
        @btt_attack_2A.evt_togglebutton(@btt_attack_2A.get_id()){|event|btt_attack_2A_VwXEvOnToggleButtonClick(event)}
        @btt_attack_3A = ToggleButton.new(@w18c,-1,"",Point.new(200,320),Size.new(40,20))
        @btt_attack_3A.set_label('3A')
        @btt_attack_3A.evt_togglebutton(@btt_attack_3A.get_id()){|event|btt_attack_3A_VwXEvOnToggleButtonClick(event)}
        @btt_attack_623C = ToggleButton.new(@w18c,-1,"",Point.new(150,350),Size.new(40,20))
        @btt_attack_623C.set_label('623C')
        @btt_attack_623C.evt_togglebutton(@btt_attack_623C.get_id()){|event|btt_attack_623C_VwXEvOnToggleButtonClick(event)}
        @st73c = StaticText.new(@w18c,-1,"",Point.new(40,235),Size.new(56,14),ST_NO_AUTORESIZE)
        @st73c.set_label('地上')
        @btt_ground_stand = ToggleButton.new(@w18c,-1,"",Point.new(100,230),Size.new(40,20))
        @btt_ground_stand.set_label('立ち')
        @btt_ground_stand.evt_togglebutton(@btt_ground_stand.get_id()){|event|btt_ground_stand_VwXEvOnToggleButtonClick(event)}
        @btt_ground_squat = ToggleButton.new(@w18c,-1,"",Point.new(150,230),Size.new(40,20))
        @btt_ground_squat.set_label('しゃがみ')
        @btt_ground_squat.evt_togglebutton(@btt_ground_squat.get_id()){|event|btt_ground_squat_VwXEvOnToggleButtonClick(event)}
        @btt_ground_front = ToggleButton.new(@w18c,-1,"",Point.new(200,230),Size.new(40,20))
        @btt_ground_front.set_label('前')
        @btt_ground_front.evt_togglebutton(@btt_ground_front.get_id()){|event|btt_ground_front_VwXEvOnToggleButtonClick(event)}
        @btt_ground_back = ToggleButton.new(@w18c,-1,"",Point.new(250,230),Size.new(45,20))
        @btt_ground_back.set_label('後')
        @btt_ground_back.evt_togglebutton(@btt_ground_back.get_id()){|event|btt_ground_back_VwXEvOnToggleButtonClick(event)}
        @rb_after_okiagari_invalid = RadioButton.new(@w18c,-1,"",Point.new(175,205),Size.new(14,14))
        @rb_after_okiagari_invalid.evt_radiobutton(@rb_after_okiagari_invalid.get_id()){|event|RadioAfterOkiagariInvalid(event)}
        @st_after_okiagari_invalid = StaticText.new(@w18c,-1,"",Point.new(190,205),Size.new(41,14),ST_NO_AUTORESIZE)
        @st_after_okiagari_invalid.set_label(' 無効 ')
        @st_after_okiagari_invalid.evt_left_up{|event|st_after_okiagari_invalid_VwXEvOnLeftUP(event)}
        @btt_attack_6A = ToggleButton.new(@w18c,-1,"",Point.new(250,320),Size.new(40,20))
        @btt_attack_6A.set_label('6A')
        @btt_attack_6A.evt_togglebutton(@btt_attack_6A.get_id()){|event|btt_attack_6A_VwXEvOnToggleButtonClick(event)}
        @bt_custom_save = Button.new(@w18c,-1,"",Point.new(270,380),Size.new(40,20))
        @bt_custom_save.set_label('保存')
        @bt_custom_save.evt_button(@bt_custom_save.get_id()){|event|bt_custom_save_VwXEvOnButtonClick(event)}
        refresh()
    end
    def VwXDelComp()
    end

#[win]add your code here

    def RadioAfterOkiagariValid(event) #init function
        #[3a2]Code event VwX...Don't modify[3a2]#
        #add your code here
        @rb_after_okiagari_valid.set_value(true)
        @config.after_okiagari_flag = true
        @config.save
    end #end function


    def st_after_okiagari_valid_VwXEvOnLeftUP(event) #init function
        #[766]Code event VwX...Don't modify[766]#
        #add your code here
        event.skip()
        RadioAfterOkiagariValid(event)
    end #end function


    def st_after_okiagari_invalid_VwXEvOnLeftUP(event) #init function
        #[66e]Code event VwX...Don't modify[66e]#
        #add your code here
        event.skip()
        RadioAfterOkiagariInvalid(event)
    end #end function


    def bt_custom_save_VwXEvOnButtonClick(event) #init function
        #[2bc]Code event VwX...Don't modify[2bc]#
        #add your code here
        @config.after_okiagari_custom_command = @tx_custom.value
        @config.save
    end #end function


    def btt_jump_up_VwXEvOnToggleButtonClick(event) #init function
        #[6a3]Code event VwX...Don't modify[6a3]#
        #add your code here
        @config.after_okiagari_value['jump_up'] = @btt_jump_up.get_value
        @config.save
    end #end function

    def btt_jump_front_VwXEvOnToggleButtonClick(event) #init function
        #[6ac]Code event VwX...Don't modify[6ac]#
        #add your code here
        @config.after_okiagari_value['jump_front'] = @btt_jump_front.get_value
        @config.save
    end #end function

    def btt_jump_back_VwXEvOnToggleButtonClick(event) #init function
        #[6ab]Code event VwX...Don't modify[6ab]#
        #add your code here
        @config.after_okiagari_value['jump_back'] = @btt_jump_back.get_value
        @config.save
    end #end function

    def btt_hj_up_VwXEvOnToggleButtonClick(event) #init function
        #[6a4]Code event VwX...Don't modify[6a4]#
        #add your code here
        @config.after_okiagari_value['hj_up'] = @btt_hj_up.get_value
        @config.save
    end #end function

    def btt_hj_front_VwXEvOnToggleButtonClick(event) #init function
        #[6ad]Code event VwX...Don't modify[6ad]#
        #add your code here
        @config.after_okiagari_value['hj_front'] = @btt_hj_front.get_value
        @config.save
    end #end function

    def btt_hj_back_VwXEvOnToggleButtonClick(event) #init function
        #[6ae]Code event VwX...Don't modify[6ae]#
        #add your code here
        @config.after_okiagari_value['hj_back'] = @btt_hj_back.get_value
        @config.save
    end #end function

    def btt_custom_VwXEvOnToggleButtonClick(event) #init function
        #[6a9]Code event VwX...Don't modify[6a9]#
        #add your code here
        @config.after_okiagari_value['custom'] = @btt_custom.get_value
        @config.save
    end #end function

    def btt_attack_A_VwXEvOnToggleButtonClick(event) #init function
        #[6a5]Code event VwX...Don't modify[6a5]#
        #add your code here
        @config.after_okiagari_value['attack_A'] = @btt_attack_A.get_value
        @config.save
    end #end function

    def btt_attack_6A_VwXEvOnToggleButtonClick(event) #init function
        #[6b7]Code event VwX...Don't modify[6b7]#
        #add your code here
        @config.after_okiagari_value['attack_6A'] = @btt_attack_6A.get_value
        @config.save
    end #end function

    def btt_attack_623C_VwXEvOnToggleButtonClick(event) #init function
        #[6b1]Code event VwX...Don't modify[6b1]#
        #add your code here
        @config.after_okiagari_value['attack_623C'] = @btt_attack_623C.get_value
        @config.save
    end #end function

    def btt_attack_623B_VwXEvOnToggleButtonClick(event) #init function
        #[6a6]Code event VwX...Don't modify[6a6]#
        #add your code here
        @config.after_okiagari_value['attack_623B'] = @btt_attack_623B.get_value
        @config.save
    end #end function

    def btt_attack_3A_VwXEvOnToggleButtonClick(event) #init function
        #[6b0]Code event VwX...Don't modify[6b0]#
        #add your code here
        @config.after_okiagari_value['attack_3A'] = @btt_attack_3A.get_value
        @config.save
    end #end function

    def btt_attack_2A_VwXEvOnToggleButtonClick(event) #init function
        #[6af]Code event VwX...Don't modify[6af]#
        #add your code here
        @config.after_okiagari_value['attack_2A'] = @btt_attack_2A.get_value
        @config.save
    end #end function


    def btt_ground_squat_VwXEvOnToggleButtonClick(event) #init function
        #[7c5]Code event VwX...Don't modify[7c5]#
        #add your code here
        @config.after_okiagari_value['ground_squat'] = @btt_ground_squat.get_value
        @config.save
    end #end function

    def btt_ground_front_VwXEvOnToggleButtonClick(event) #init function
        #[7c6]Code event VwX...Don't modify[7c6]#
        #add your code here
        @config.after_okiagari_value['ground_front'] = @btt_ground_front.get_value
        @config.save
    end #end function

    def btt_ground_back_VwXEvOnToggleButtonClick(event) #init function
        #[7c7]Code event VwX...Don't modify[7c7]#
        #add your code here
        @config.after_okiagari_value['ground_back'] = @btt_ground_back.get_value
        @config.save
    end #end function


    def btt_ground_stand_VwXEvOnToggleButtonClick(event) #init function
        #[57f]Code event VwX...Don't modify[57f]#
        #add your code here
        @config.after_okiagari_value['ground_stand'] = @btt_ground_stand.get_value
        @config.save
    end #end function



    def RadioAfterOkiagariInvalid(event) #init function
        #[4c2]Code event VwX...Don't modify[4c2]#
        #add your code here
        @rb_after_okiagari_invalid.set_value(true)
        @config.after_okiagari_flag = false
        @config.save
    end #end function


    def choiceUkemi(event) #init function
        #[7b4]Code event VwX...Don't modify[7b4]#
        #add your code here
        @config.ukemi = event.get_selection
        @config.save
    end #end function

    def choiceGuard(event) #init function
        #[7b2]Code event VwX...Don't modify[7b2]#
        #add your code here
        @config.guard = event.get_selection
        @config.save
    end #end function

    def choiceCounter(event) #init function
        #[7b3]Code event VwX...Don't modify[7b3]#
        #add your code here
        @config.counter = event.get_selection
        @config.save
    end #end function

    def choice_okiagari(event) #init function
        #[7b5]Code event VwX...Don't modify[7b5]#
        #add your code here
        @config.okiagari = event.get_selection
        @config.save
    end #end function


    def choicePoint(event) #init function
        #[342]Code event VwX...Don't modify[342]#
        #add your code here
        @config.point = event.get_selection
        @config.save
    end #end function


    def choiceStatus(event) #init function
        #[679]Code event VwX...Don't modify[679]#
        #add your code here
        @config.status = event.get_selection
        @config.save
    end #end function


    def initBefore()
        #add your code here

    end

    def initAfter()
        #add your code here
        initConfig()
        centre()
        refresh()
    end
    
    def initConfig()
        @config = PracticeConfig.new
        @config.load
        @chc_status.set_selection(@config.status)
        @chc_point.set_selection(@config.point)
        @chc_guard.set_selection(@config.guard)
        @chc_counter.set_selection(@config.counter)
        @chc_ukemi.set_selection(@config.ukemi)
        @chc_okiagari.set_selection(@config.okiagari)
        @btt_ground_stand.set_value(@config.after_okiagari_value['ground_stand'])
        @btt_ground_squat.set_value(@config.after_okiagari_value['ground_squat'])
        @btt_ground_front.set_value(@config.after_okiagari_value['ground_front'])
        @btt_ground_back.set_value(@config.after_okiagari_value['ground_back'])
        @btt_jump_up.set_value(@config.after_okiagari_value['jump_up'])
        @btt_jump_front.set_value(@config.after_okiagari_value['jump_front'])
        @btt_jump_back.set_value(@config.after_okiagari_value['jump_back'])
        @btt_hj_up.set_value(@config.after_okiagari_value['hj_up'])
        @btt_hj_front.set_value(@config.after_okiagari_value['hj_front'])
        @btt_hj_back.set_value(@config.after_okiagari_value['hj_back'])
        @btt_attack_A.set_value(@config.after_okiagari_value['attack_A'])
        @btt_attack_2A.set_value(@config.after_okiagari_value['attack_2A'])
        @btt_attack_3A.set_value(@config.after_okiagari_value['attack_3A'])
        @btt_attack_6A.set_value(@config.after_okiagari_value['attack_6A'])
        @btt_attack_623B.set_value(@config.after_okiagari_value['attack_623B'])
        @btt_attack_623C.set_value(@config.after_okiagari_value['attack_623C'])
        @btt_custom.set_value(@config.after_okiagari_value['custom'])
        @tx_custom.set_value(@config.after_okiagari_custom_command)
        if @config.after_okiagari_flag then
            @rb_after_okiagari_valid.set_value(true)
        else
            @rb_after_okiagari_invalid.set_value(true)
        end
    end

#[win]end your code
 end
end

